Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1369017 - python-glance-store: Provide a Python 3 subpackage
Summary: python-glance-store: Provide a Python 3 subpackage
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-glance-store
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-08-22 10:44 UTC by Dominika Krejčí
Modified: 2023-09-14 03:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-17 14:36:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
add Python 3 & version update (deleted)
2016-10-05 16:25 UTC, Dominika Krejčí
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1643718 0 unspecified CLOSED Retire python-glance-store in Fedora 30+ 2021-02-22 00:41:40 UTC

Internal Links: 1643718

Description Dominika Krejčí 2016-08-22 10:44:04 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Dominika Krejčí 2016-10-05 16:25:50 UTC
Created attachment 1207645 [details]
add Python 3 & version update

Hello Haïkel,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15954182

Comment 2 Haïkel Guémar 2016-11-06 19:29:57 UTC
I can't apply it as-is, python3 is not considered production-ready upstream so unversioned rootwrap binary will be provided in python2 package.

Comment 3 Haïkel Guémar 2016-11-06 19:59:25 UTC
RDO review: https://review.rdoproject.org/r/#/c/3550/

Comment 4 Charalampos Stratakis 2017-02-24 15:56:11 UTC
Hello Haikel. Is the package ready for python3 support?

Comment 5 Fedora End Of Life 2017-02-28 10:08:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Lumír Balhar 2017-08-09 12:44:22 UTC
Hello.

It seems that glance-store is Python 3 compatible in the latest version 0.22.0. Could you please rebase provided patch and update the package?

Let me know if I can help you with something.

Comment 7 Lumír Balhar 2017-10-30 07:28:26 UTC
Hello Haïkel.

Could you please give me commit rights so then I can take care of update of this package?

FAS login: lbalhar

Thank you and have a nice day.

Comment 8 Fedora End Of Life 2018-05-03 08:03:05 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Jan Kurik 2018-08-14 11:09:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 10 Lumír Balhar 2019-01-17 13:19:12 UTC
The package is retired in Fedora 30 so it seems that nobody cares and it doesn't make sense to invest any time on that.

Comment 11 Red Hat Bugzilla 2023-09-14 03:29:55 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.